Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
New Contributor
aristo
Posts: 4
Registered: ‎10-29-2013
My Device: Blackberry Z10
My Carrier: Wind
Accepted Solution

Momentics IDE instal problems

I was trying today to use QNX Momentics IDE 10.2.0.115 on OS X 10.9 and I get JVM related issues.

 

Here is what java -version on my machine says:

 

java version "1.7.0_45"
Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)

 

And here is what error I get when I run qde:

 

2013-10-29 20:53:31.941 qde[2082:507] Error loading /Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/MacOS/libjli.dylib:  dlopen(/Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/MacOS/libjli.dylib, 265): no suitable image found.  Did find:
/Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/MacOS/libjli.dylib: mach-o, but wrong architecture

So it looks like there is a mismatch in that the IDE expects 32 bit JVM while my system has the 64 bit one. 

 

Should we expect the IDE to run on a 64bit JVM?

Please use plain text.
New Contributor
aristo
Posts: 4
Registered: ‎10-29-2013
My Device: Blackberry Z10
My Carrier: Wind

Re: Momentics IDE instal problems

After more frustrating google searches I came to the conclusion that my JVM was strictly 64 bits and that the IDE will only run on 32 bits.

 

Initially I have downloaded the JVM from Oracle and apparently that one comes in 64 bits only. I have then installed the Apple provided Java from http://support.apple.com/kb/DL1572 and now I am up and running :smileyhappy:

Please use plain text.